Subject: bug#38718: Emacs `compile' command does not handle remote (over TRAMP) file name correctly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Dec 2019 16:34:31 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 23 Dec 2019 15:14:34 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If these issues cause sever problems on Catalina, we could suggest
> > people to apply a few patches to their own builds, and hope that
> > binary distributions pick up those patches.
> 
> Agreed. I could prepare a patch on top of Emacs 26.3.
> 
> But I don't know how to "suggest people to apply a few patches to their
> own builds". Is there a canonical way?

I suggest to have the patches posted in the relevant bug reports, and
have the problem description in etc/PROBLEMS which mentions the bug
numbers and the availability of patches for Emacs versions before 27.

Thanks.